Skip to content

Get Clinical Concept Procedure

Request

Retrieve a specific procedure clinical concept associated with a subject by its ID.

Security
bearer
Path
idstringrequired
Query
subjectIdstringrequired

Subject ID (GUID)

Example:subjectId=123e4567-e89b-12d3-a456-426614174000
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/clinical-concepts/procedure/{id}?subjectId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
idstringrequired

Unique identifier for the procedure record

documentIdsArray of stringsrequired

List of document IDs associated with the procedure

codesArray of strings

Codes from source documents. Type "standard" indicates the code that determined the OMOP concept assignment

procedurestring

Procedure name or description

procedureLocationstring

Location where the procedure was performed

procedureReasonstring

Reason for the procedure

procedureStartDatestring

Start date of the procedure (ISO string)

procedureEndDatestring

End date of the procedure (ISO string)

cancerRelatedboolean

Whether the procedure is cancer related

procedureCategorystring

Category of the procedure

statusstring

Status of the procedure

Response
{ "id": "string", "documentIds": [ "string" ], "codes": [ "string" ], "procedure": "string", "procedureLocation": "string", "procedureReason": "string", "procedureStartDate": "string", "procedureEndDate": "string", "cancerRelated": true, "procedureCategory": "string", "status": "string" }